Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
sessions
/
{session_id}
Retrieve a session
curl --request GET \
  --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/sessions/{session_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/sessions/{session_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/sessions/{session_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "550E8400-E29B-41D4-A716-446655440000",
  "user_name": "contoso\\jdoe",
  "session_type": "vdi desktop",
  "windows_session_id": 7,
  "connection_state": "active",
  "start_date": "2026-03-15T08:30:00Z",
  "session_status": "active notifications",
  "platform_type": "windows",
  "connected": true,
  "current_session_id": 41,
  "current_dc_name": "dc-eu-01",
  "last_connection_time": "2026-03-15T09:45:11Z",
  "log_on_duration": 35,
  "session_key": "6BA7B810-9DAD-11D1-80B4-00C04FD430C8",
  "flexx_analyzer_executed": true,
  "cpu_usage": 34.2,
  "ram_usage_gb": 3.8,
  "rtt_usage": 18.1,
  "current_uid_usage": 2.4,
  "ram_usage": 3891,
  "ram_percentage": 47,
  "number_alerts_user": 0,
  "number_alerts_vm": 1,
  "workspace_id": "64f0c2a1b2d3e4f5060708aa"
}
{
  "error": {
    "message": "Invalid session_id format",
    "code": "bad_request",
    "details": "session_id must be a UUID in uppercase with format 8-4-4-4-12"
  }
}
{
  "error": {
    "message": "Unauthorized",
    "code": "unauthorized"
  }
}
{
  "error": {
    "message": "Session not found",
    "code": "not_found"
  }
}
{
  "error": {
    "message": "Internal Server Error",
    "code": "internal_error"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization id
string
required

Organization identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
session id
string<uuid>
required

Session identifier.

Required string length: 36
Pattern: ^[0-9A-F]{8}-[0-9A-F]{4}-[0-9A-F]{4}-[0-9A-F]{4}-[0-9A-F]{12}$

Response

Session details retrieved successfully.

id
string<uuid>
required

Session identifier.

Required string length: 36
Pattern: ^[0-9A-F]{8}-[0-9A-F]{4}-[0-9A-F]{4}-[0-9A-F]{4}-[0-9A-F]{12}$
user_name
string
required

User account for the session.

session_type
enum<string>
required

Session type.

Available options:
vdi desktop,
application,
sdi_desktop,
device
windows_session_id
integer
required

Windows session identifier.

connection_state
enum<string>
required

State of session connection.

Available options:
unknown,
connected,
disconnected,
terminated,
preparing_session,
active,
reconnecting,
non_broker_session,
other,
pending
start_date
string
required

Session start timestamp.

connected
boolean
required

Indicates if the session is currently connected.

current_session_id
integer
required

Current connection session identifier.

current_dc_name
string
required

Current data center name.

last_connection_time
string
required

Timestamp string of the last connection.

log_on_duration
number
required

Session's login duration.

session_key
string<uuid>
required

Session key.

Required string length: 36
Pattern: ^[0-9A-F]{8}-[0-9A-F]{4}-[0-9A-F]{4}-[0-9A-F]{4}-[0-9A-F]{12}$
flexx_analyzer_executed
boolean
required

Indicates if the analyzer execution is completed.

session_status
enum<string> | null

Session status.

Available options:
empty,
active notifications,
active_notifications_ack_accepted,
active_notifications_ack_pending
platform_type
enum<string>

Platform type.

Available options:
windows,
mac,
linux,
android,
chrome_os,
unknown
cpu_usage
number | null

Current CPU usage.

ram_usage_gb
number | null

Current RAM usage in gigabytes.

rtt_usage
number | null

Current RTT usage.

current_uid_usage
number | null

Current UID usage.

ram_usage
number | null

Current RAM usage.

ram_percentage
number | null

Current RAM usage percentage.

number_alerts_user
number | null

Number of user alerts.

number_alerts_vm
number | null

Number of Workspace alerts.

workspace_id
string | null

MongoDB identifier (_id) of the Workspace related to the session, resolved from the session relationship.

Required string length: 24
Pattern: ^[0-9a-f]{24}$